Redmine - Defect #9815

Release 1.3.0 does not detect rubytree with rubgems 1.8
2011-12-15 19:33 - mathew murphy

Status: Closed Start date:

Priority: Normal Due date:

Assignee: Jean-Philippe Lang % Done: 0%
Category: Gems support Estimated time: 0.00 hour
Target version: 1.3.2

Resolution: Fixed Affected version: 1.3.0
Description

Same problem as #9798, but with the supported version of Ruby. So it's not a Ruby 1.9 issue.
Redmine keeps asking for rubytree even though it is already installed.

Successfully installed rubytree-0.8.1
1 gem installed
Installing ri documentation for rubytree-0.8.1...
Installing RDoc documentation for rubytree-0.8.1...
redmine@helpdesk:~$ RAILS_ENV=production rake db:migrate
Missing these required gems:

rubytree >= 0

You're running:
ruby 1.8.7.352 at /home/redmine/.rvm/rubies/ruby-1.8.7-p352/bin/ruby

rubygems 1.8.10 at /home/redmine/.rvm/gems/ruby-1.8.7-p352, /home/redmine/.rvm/gems/ruby-1.8.7-p

352@global

Run ‘rake gems:install’ to install the missing gems.
redmine@helpdesk:~$ gem list

*%% LOCAL GEMS ***

actionmailer (2.3.14)
actionpack (2.3.14)
activerecord (2.3.14)
activeresource (2.3.14)
activesupport (2.3.14)
bundler (1.0.21 ruby)
daemon_controller (0.2.6)
fastthread (1.0.7)

json (1.6.3)

passenger (3.0.11)

pg (0.12.0)

rack (1.1.2, 1.1.1)
rails (2.3.14)

rake (0.9.2)
rake-compiler (0.7.9)
rdoc (3.11)

rubytree (0.8.1)
redmine@helpdesk:~$

Related issues:
Related to Redmine - Defect #9798: Release 1.3.0 does not detect rubytree und... Closed
Related to Redmine - Defect #9463: vendor/gems/*/.specification and rubygems 1.8 Closed

2011-10-23

Associated revisions

Revision 9127 - 2012-03-06 19:30 - Jean-Philippe Lang
Fixed: rubytree gem does not detect with rubgems 1.8 (#9815).

2025-07-03

1/3



https://www.redmine.org/issues/9798

History

#1 - 2011-12-15 19:35 - mathew murphy

...and commenting out the rubytree line in config/environment.rb allows migrations to run.

#2 - 2011-12-16 00:05 - Jean-Philippe Lang
| think it's a rubygems issue, because | don't have this problem with ruby 1.8.7 (2011-06-30 patchlevel 352) and rubygems 1.7.2.

#3 - 2011-12-16 01:23 - Mischa The Evil

Can this maybe be related to #9463? That seems to cause an unrecognized vendor/gems/* with Rubygems 1.8.x.
| came around this issue myself and was able to "fix" it by installing rubytree as a separate gem instead of utilizing the bundled one.

#4 - 2011-12-17 00:10 - mathew murphy

Well, separately from this issue | also had to install the 'tree' gem, as well as 'coderay’, both undocumented dependencies that caused runtime errors.

Oh, and | had to downgrade RubyGems to 1.6.2 to avoid an obsolete RubyGems warning message from making Rails crash, so that should probably
be documented on the requirements page too.

#5 - 2011-12-21 02:05 - Mischa The Evil
mathew murphy wrote:

Well, separately from this issue | also had to install the 'tree' gem, as well as 'coderay’, both undocumented dependencies that caused runtime
errors.

These are shipped with the Redmine core and does not have to be installed (as gems) manually regularly (read: as long as you run Redmine with the
versions [rubygems in particular] as outlined in Redminelnstall).

Oh, and | had to downgrade RubyGems to 1.6.2 to avoid an obsolete RubyGems warning message from making Rails crash, so that should
probably be documented on the requirements page too.

If you've downgraded rubygems to 1.6.x at first, you wouln't had to install these two gems at all since it looks like it is a Rubygems 1.8.x problem only.

#6 - 2012-01-04 23:20 - mathew murphy

According to Redminelnstall, 1.3.x requires Rails 2.3.14. but there's no note about needing a specific version of RubyGems for Rails 2.3.14, only for
Rails 2.3.11.

#7 - 2012-01-12 19:17 - Bruno Medeiros

Same problem here, needed to make the workaround of the first comment to fix the problem..

#8 - 2012-02-06 19:09 - José M. Prieto
Same here. RVM, ruby 1.8.7.357, rubygems 1.8.15.

#9 - 2012-03-05 01:30 - Anto Jose

The same problem exists for Redmine 1.3.1 (Should this be moved to a different ticket?).

Missing these required gems:
rubytree >= 0

You're running:
ruby 1.8.7.334 at /usr/bin/ruby
rubygems 1.8.17 at /usr/lib/ruby/gems/1.8, /home/antolabs/.gem/ruby/1.8

ruby 1.8.7 (2011-02-18 patchlevel 334) [x86_64-1inux]
Rails 2.3.14

# gem list —--local
*%% LOCAL GEMS ***
coderay (1.0.5)

i18n (0.6.0, 0.4.2)

rubytree (0.8.2)
tree (0.2.1)
https://www.redmine.org/issues/9463
https://www.redmine.org/projects/redmine/wiki/RedmineInstall
https://www.redmine.org/projects/redmine/wiki/RedmineInstall

#10 - 2012-03-06 17:37 - Anto Jose
- Assignee set to Jean-Philippe Lang

#11 - 2012-03-06 19:31 - Jean-Philippe Lang

- Subject changed from Release 1.3.0 does not detect rubytree under ruby 1.8.7-p352 / rails 2.3.14 to Release 1.3.0 does not detect rubytree with
rubgems 1.8

- Status changed from New to Closed

- Target version set to 1.3.2

Fixed in r9127.

#12 - 2012-03-07 01:41 - Anto Jose
Jean, that worked. Thank Youl!
